diff --git a/compiler/typecheck/TcInteract.lhs b/compiler/typecheck/TcInteract.lhs
index 682f9f4..9e07fe6 100644
--- a/compiler/typecheck/TcInteract.lhs
+++ b/compiler/typecheck/TcInteract.lhs
@@ -1,10 +1,4 @@
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module TcInteract ( 
      solveInteractGiven,  -- Solves [EvVar],GivenLoc
@@ -409,7 +403,7 @@ data SPSolveResult = SPCantSolve
 
 -- @trySpontaneousSolve wi@ solves equalities where one side is a
 -- touchable unification variable.
---     	    See Note [Touchables and givens] 
+--          See Note [Touchables and givens] 
 trySpontaneousSolve :: WorkItem -> TcS SPSolveResult
 trySpontaneousSolve workItem@(CTyEqCan { cc_ev = gw
                                        , cc_tyvar = tv1, cc_rhs = xi, cc_loc = d })
@@ -423,7 +417,7 @@ trySpontaneousSolve workItem@(CTyEqCan { cc_ev = gw
            (True,  True)  -> trySpontaneousEqTwoWay d gw tv1 tv2
            (True,  False) -> trySpontaneousEqOneWay d gw tv1 xi
            (False, True)  -> trySpontaneousEqOneWay d gw tv2 (mkTyVarTy tv1)
-	   _              -> return SPCantSolve }
+           _              -> return SPCantSolve }
   | otherwise
   = do { tch1 <- isTouchableMetaTyVarTcS tv1
        ; if tch1 then trySpontaneousEqOneWay d gw tv1 xi
@@ -874,8 +868,8 @@ solveOneFromTheOther info ifl workItem
   = return (IRWorkItemConsumed ("Solved[DW] " ++ info))
 
   | isDerived ifl -- The inert item is Derived, we can just throw it away, 
-    	      	  -- The workItem is inert wrt earlier inert-set items, 
-		  -- so it's safe to continue on from this point
+                  -- The workItem is inert wrt earlier inert-set items, 
+                  -- so it's safe to continue on from this point
   = return (IRInertConsumed ("Solved[DI] " ++ info))
   
   | CtWanted { ctev_evar = ev_id } <- wfl
@@ -884,7 +878,7 @@ solveOneFromTheOther info ifl workItem
   | CtWanted { ctev_evar = ev_id } <- ifl
   = do { setEvBind ev_id (ctEvTerm wfl); return (IRInertConsumed ("Solved(g) " ++ info)) }
 
-  | otherwise	   -- If both are Given, we already have evidence; no need to duplicate
+  | otherwise      -- If both are Given, we already have evidence; no need to duplicate
                    -- But the work item *overrides* the inert item (hence IRReplace)
                    -- See Note [Shadowing of Implicit Parameters]
   = return (IRReplace ("Replace(gg) " ++ info))
@@ -975,18 +969,18 @@ Example 2:
 
 We need to prove (Eq (D [])). Here's how we go:
 
-	d1 :_w Eq (D [])
+        d1 :_w Eq (D [])
 
 by instance decl, holds if
-	d2 :_w Eq [D []]
-	where 	d1 = dfEqD d2
+        d2 :_w Eq [D []]
+        where   d1 = dfEqD d2
 
 *BUT* we have an inert set which gives us (no superclasses): 
         d1 :_g Eq (D []) 
 By the instance declaration of Eq we can show the 'd2' goal if 
-	d3 :_w Eq (D [])
-	where	d2 = dfEqList d3
-		d1 = dfEqD d2
+        d3 :_w Eq (D [])
+        where   d2 = dfEqList d3
+                d1 = dfEqD d2
 Now, however this wanted can interact with our inert d1 to set: 
         d3 := d1 
 and solve the goal. Why was this interaction OK? Because, if we chase the 
@@ -1024,7 +1018,7 @@ This code arises in the context of "Scrap Your Boilerplate with Class"
     instance                 Foo [Char]                         -- dfunFoo3
 
 Consider generating the superclasses of the instance declaration
-	 instance Foo a => Foo [a]
+         instance Foo a => Foo [a]
 
 So our problem is this
     d0 :_g Foo t
@@ -1126,21 +1120,21 @@ accidentally build a loop. Here's an example:
 
 From (instance C Int) we get the constraint set {ds1:S Int, dd:D Int}
 Simplifying, we may well get:
-	$dfCInt = :C ds1 (opd dd)
-	dd  = $dfDInt
-	ds1 = $p1 dd
+        $dfCInt = :C ds1 (opd dd)
+        dd  = $dfDInt
+        ds1 = $p1 dd
 Notice that we spot that we can extract ds1 from dd.  
 
 Alas!  Alack! We can do the same for (instance D Int):
 
-	$dfDInt = :D ds2 (opc dc)
-	dc  = $dfCInt
-	ds2 = $p1 dc
+        $dfDInt = :D ds2 (opc dc)
+        dc  = $dfCInt
+        ds2 = $p1 dc
 
 And now we've defined the superclass in terms of itself.
 Two more nasty cases are in
-	tcrun021
-	tcrun033
+        tcrun021
+        tcrun033
 
 Solution: 
   - Satisfy the superclass context *all by itself* 
@@ -1154,8 +1148,8 @@ Note [SUPERCLASS-LOOP 2]
 We need to be careful when adding "the constaint we are trying to prove".
 Suppose we are *given* d1:Ord a, and want to deduce (d2:C [a]) where
 
-	class Ord a => C a where
-	instance Ord [a] => C [a] where ...
+        class Ord a => C a where
+        instance Ord [a] => C [a] where ...
 
 Then we'll use the instance decl to deduce C [a] from Ord [a], and then add the
 superclasses of C [a] to avails.  But we must not overwrite the binding
@@ -1163,18 +1157,18 @@ for Ord [a] (which is obtained from Ord a) with a superclass selection or we'll
 build a loop! 
 
 Here's another variant, immortalised in tcrun020
-	class Monad m => C1 m
-	class C1 m => C2 m x
-	instance C2 Maybe Bool
+        class Monad m => C1 m
+        class C1 m => C2 m x
+        instance C2 Maybe Bool
 For the instance decl we need to build (C1 Maybe), and it's no good if
 we run around and add (C2 Maybe Bool) and its superclasses to the avails 
 before we search for C1 Maybe.
 
 Here's another example 
- 	class Eq b => Foo a b
-	instance Eq a => Foo [a] a
+        class Eq b => Foo a b
+        instance Eq a => Foo [a] a
 If we are reducing
-	(Foo [t] t)
+        (Foo [t] t)
 
 we'll first deduce that it holds (via the instance decl).  We must not
 then overwrite the Eq t constraint with a superclass selection!
@@ -1216,8 +1210,8 @@ So that leaves (Sat (Maybe [a])).  Using the instance for Sat means
 we need (Foo [a]).  And that is the very dictionary we are bulding
 an instance for!  So we must put that in the "givens".  So in this
 case we have
-	Given:  Foo a, Foo [a]
-	Wanted: Data Maybe [a]
+        Given:  Foo a, Foo [a]
+        Wanted: Data Maybe [a]
 
 BUT we must *not not not* put the *superclasses* of (Foo [a]) in
 the givens, which is what 'addGiven' would normally do. Why? Because
@@ -1243,7 +1237,7 @@ We need a persistent property of the dictionary to record this
 special-ness.  Current I'm using the InstLocOrigin (a bit of a hack,
 but cool), which is maintained by dictionary normalisation.
 Specifically, the InstLocOrigin is
-	     NoScOrigin
+             NoScOrigin
 then the no-superclass thing kicks in.  WATCH OUT if you fiddle
 with InstLocOrigin!
 
@@ -1279,8 +1273,8 @@ constraint right away.  This avoids two dangers
 
  Danger 1: If we send the original constraint on down the pipeline
            it may react with an instance declaration, and in delicate
-	   situations (when a Given overlaps with an instance) that
-	   may produce new insoluble goals: see Trac #4952
+           situations (when a Given overlaps with an instance) that
+           may produce new insoluble goals: see Trac #4952
 
  Danger 2: If we don't rewrite the constraint, it may re-react
            with the same thing later, and produce the same equality
@@ -1326,12 +1320,12 @@ mkEqnMsg :: (TcPredType, SDoc)
 mkEqnMsg (pred1,from1) (pred2,from2) tidy_env
   = do  { zpred1 <- zonkTcPredType pred1
         ; zpred2 <- zonkTcPredType pred2
-	; let { tpred1 = tidyType tidy_env zpred1
+        ; let { tpred1 = tidyType tidy_env zpred1
               ; tpred2 = tidyType tidy_env zpred2 }
-	; let msg = vcat [ptext (sLit "When using functional dependencies to combine"),
-			  nest 2 (sep [ppr tpred1 <> comma, nest 2 from1]), 
-			  nest 2 (sep [ppr tpred2 <> comma, nest 2 from2])]
-	; return (tidy_env, msg) }
+        ; let msg = vcat [ptext (sLit "When using functional dependencies to combine"),
+                          nest 2 (sep [ppr tpred1 <> comma, nest 2 from1]), 
+                          nest 2 (sep [ppr tpred2 <> comma, nest 2 from2])]
+        ; return (tidy_env, msg) }
 \end{code}
 
 
@@ -1375,16 +1369,16 @@ doTopReact :: InertSet -> WorkItem -> TcS TopInteractResult
 doTopReact inerts workItem
   = do { traceTcS "doTopReact" (ppr workItem)
        ; case workItem of
-      	   CDictCan { cc_ev = fl, cc_class = cls, cc_tyargs = xis
-      	            , cc_loc = d }
-      	      -> doTopReactDict inerts fl cls xis d
+           CDictCan { cc_ev = fl, cc_class = cls, cc_tyargs = xis
+                    , cc_loc = d }
+              -> doTopReactDict inerts fl cls xis d
 
-      	   CFunEqCan { cc_ev = fl, cc_fun = tc, cc_tyargs = args
-      	             , cc_rhs = xi, cc_loc = d }
-      	      -> doTopReactFunEq workItem fl tc args xi d
+           CFunEqCan { cc_ev = fl, cc_fun = tc, cc_tyargs = args
+                     , cc_rhs = xi, cc_loc = d }
+              -> doTopReactFunEq workItem fl tc args xi d
 
-      	   _  -> -- Any other work item does not react with any top-level equations
-      	         return NoTopInt  }
+           _  -> -- Any other work item does not react with any top-level equations
+                 return NoTopInt  }
 
 --------------------
 doTopReactDict :: InertSet -> CtEvidence -> Class -> [Xi]
@@ -1523,7 +1517,7 @@ paramters, is that we simply produce new Derived equalities.  So for example
     spontaneously solved to become given and react with d2,
     discharging it in favour of a new constraint d2' thus:
         d2' :w D Int Bool
-	d2 := d2' |> D Int cv
+        d2 := d2' |> D Int cv
     Now d2' can be discharged from d1
 
 We could be more aggressive and try to *immediately* solve the dictionary 
@@ -1587,9 +1581,9 @@ Note [Weird fundeps]
 Consider   class Het a b | a -> b where
               het :: m (f c) -> a -> m b
 
-	   class GHet (a :: * -> *) (b :: * -> *) | a -> b
-	   instance            GHet (K a) (K [a])
-	   instance Het a b => GHet (K a) (K b)
+           class GHet (a :: * -> *) (b :: * -> *) | a -> b
+           instance            GHet (K a) (K [a])
+           instance Het a b => GHet (K a) (K b)
 
 The two instances don't actually conflict on their fundeps,
 although it's pretty strange.  So they are both accepted. Now
@@ -1798,7 +1792,7 @@ matchClassInst inerts clas tys loc
                         vcat [ text "dict" <+> ppr pred ]
                       ; return NoInstance }
 
-	    ([(ispec, inst_tys)], [], _) -- A single match 
+            ([(ispec, inst_tys)], [], _) -- A single match 
                 | not (xopt Opt_IncoherentInstances dflags)
                 , given_overlap untch 
                 -> -- See Note [Instance and Given overlap]
@@ -1808,18 +1802,18 @@ matchClassInst inerts clas tys loc
                       ; return NoInstance  }
 
                 | otherwise
-		-> do	{ let dfun_id = instanceDFunId ispec
-			; traceTcS "matchClass success" $
+                -> do   { let dfun_id = instanceDFunId ispec
+                        ; traceTcS "matchClass success" $
                           vcat [text "dict" <+> ppr pred, 
                                 text "witness" <+> ppr dfun_id
                                                <+> ppr (idType dfun_id) ]
-				  -- Record that this dfun is needed
+                                  -- Record that this dfun is needed
                         ; match_one dfun_id inst_tys }
 
-     	    (matches, _, _)    -- More than one matches 
+            (matches, _, _)    -- More than one matches 
                                -- Defer any reactions of a multitude
                                -- until we learn more about the reagent 
-		-> do	{ traceTcS "matchClass multiple matches, deferring choice" $
+                -> do   { traceTcS "matchClass multiple matches, deferring choice" $
                           vcat [text "dict" <+> ppr pred,
                                 text "matches" <+> ppr matches]
                         ; return NoInstance } }
diff --git a/compiler/typecheck/TcMType.lhs b/compiler/typecheck/TcMType.lhs
index 93e3c82..d8368d6 100644
--- a/compiler/typecheck/TcMType.lhs
+++ b/compiler/typecheck/TcMType.lhs
@@ -9,12 +9,6 @@ This module contains monadic operations over types that contain
 mutable type variables
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module TcMType (
   TcTyVar, TcKind, TcType, TcTauType, TcThetaType, TcTyVarSet,
@@ -22,8 +16,8 @@ module TcMType (
   --------------------------------
   -- Creating new mutable type variables
   newFlexiTyVar,
-  newFlexiTyVarTy,		-- Kind -> TcM TcType
-  newFlexiTyVarTys,		-- Int -> Kind -> TcM [TcType]
+  newFlexiTyVarTy,              -- Kind -> TcM TcType
+  newFlexiTyVarTys,             -- Int -> Kind -> TcM [TcType]
   newPolyFlexiTyVarTy,
   newMetaKindVar, newMetaKindVars,
   mkTcTyVarName, cloneMetaTyVar, 
@@ -91,24 +85,24 @@ import Data.List        ( partition, mapAccumL )
 
 
 %************************************************************************
-%*									*
-	Kind variables
-%*									*
+%*                                                                      *
+        Kind variables
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 mkKindName :: Unique -> Name
 mkKindName unique = mkSystemName unique kind_var_occ
 
-kind_var_occ :: OccName	-- Just one for all MetaKindVars
-			-- They may be jiggled by tidying
+kind_var_occ :: OccName -- Just one for all MetaKindVars
+                        -- They may be jiggled by tidying
 kind_var_occ = mkOccName tvName "k"
 
 newMetaKindVar :: TcM TcKind
 newMetaKindVar = do { uniq <- newUnique
-		    ; details <- newMetaDetails TauTv
+                    ; details <- newMetaDetails TauTv
                     ; let kv = mkTcTyVar (mkKindName uniq) superKind details
-		    ; return (mkTyVarTy kv) }
+                    ; return (mkTyVarTy kv) }
 
 newMetaKindVars :: Int -> TcM [TcKind]
 newMetaKindVars n = mapM (\ _ -> newMetaKindVar) (nOfThem n ())
@@ -116,9 +110,9 @@ newMetaKindVars n = mapM (\ _ -> newMetaKindVar) (nOfThem n ())
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
      Evidence variables; range over constraints we can abstract over
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -176,27 +170,27 @@ newFlatWanteds orig theta
 \end{code}
 
 %************************************************************************
-%*									*
-	SkolemTvs (immutable)
-%*									*
+%*                                                                      *
+        SkolemTvs (immutable)
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 tcInstType :: ([TyVar] -> TcM (TvSubst, [TcTyVar]))     -- How to instantiate the type variables
-	   -> TcType 					-- Type to instantiate
-	   -> TcM ([TcTyVar], TcThetaType, TcType)	-- Result
-		-- (type vars (excl coercion vars), preds (incl equalities), rho)
+           -> TcType                                    -- Type to instantiate
+           -> TcM ([TcTyVar], TcThetaType, TcType)      -- Result
+                -- (type vars (excl coercion vars), preds (incl equalities), rho)
 tcInstType inst_tyvars ty
   = case tcSplitForAllTys ty of
-	([],     rho) -> let	-- There may be overloading despite no type variables;
-				-- 	(?x :: Int) => Int -> Int
-			   (theta, tau) = tcSplitPhiTy rho
-			 in
-			 return ([], theta, tau)
+        ([],     rho) -> let    -- There may be overloading despite no type variables;
+                                --      (?x :: Int) => Int -> Int
+                           (theta, tau) = tcSplitPhiTy rho
+                         in
+                         return ([], theta, tau)
 
-	(tyvars, rho) -> do { (subst, tyvars') <- inst_tyvars tyvars
-			    ; let (theta, tau) = tcSplitPhiTy (substTy subst rho)
-			    ; return (tyvars', theta, tau) }
+        (tyvars, rho) -> do { (subst, tyvars') <- inst_tyvars tyvars
+                            ; let (theta, tau) = tcSplitPhiTy (substTy subst rho)
+                            ; return (tyvars', theta, tau) }
 
 tcSkolDFunType :: Type -> TcM ([TcTyVar], TcThetaType, TcType)
 -- Instantiate a type signature with skolem constants, but 
@@ -269,7 +263,7 @@ tcInstSigTyVars :: [TyVar] -> TcM (TvSubst, [TcTyVar])
 -- Precondition: tyvars should be ordered (kind vars first)
 -- see Note [Kind substitution when instantiating]
 tcInstSigTyVars = mapAccumLM tcInstSigTyVar (mkTopTvSubst [])
-	-- The tyvars are freshly made, by tcInstSigTyVar
+        -- The tyvars are freshly made, by tcInstSigTyVar
         -- So mkTopTvSubst [] is ok
 
 tcInstSigTyVar :: TvSubst -> TyVar -> TcM (TvSubst, TcTyVar)
@@ -310,28 +304,28 @@ instead of the buggous
 
 
 %************************************************************************
-%*									*
-	MetaTvs (meta type variables; mutable)
-%*									*
+%*                                                                      *
+        MetaTvs (meta type variables; mutable)
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 newMetaTyVar :: MetaInfo -> Kind -> TcM TcTyVar
 -- Make a new meta tyvar out of thin air
 newMetaTyVar meta_info kind
-  = do	{ uniq <- newUnique
+  = do  { uniq <- newUnique
         ; let name = mkTcTyVarName uniq s
               s = case meta_info of
                         PolyTv -> fsLit "s"
                         TauTv  -> fsLit "t"
                         SigTv  -> fsLit "a"
         ; details <- newMetaDetails meta_info
-	; return (mkTcTyVar name kind details) }
+        ; return (mkTcTyVar name kind details) }
 
 cloneMetaTyVar :: TcTyVar -> TcM TcTyVar
 cloneMetaTyVar tv
   = ASSERT( isTcTyVar tv )
-    do	{ uniq <- newUnique
+    do  { uniq <- newUnique
         ; ref  <- newMutVar Flexi
         ; let name'    = setNameUnique (tyVarName tv) uniq
               details' = case tcTyVarDetails tv of 
@@ -347,15 +341,15 @@ mkTcTyVarName uniq str = mkSysTvName uniq str
 -- Works for both type and kind variables
 readMetaTyVar :: TyVar -> TcM MetaDetails
 readMetaTyVar tyvar = ASSERT2( isMetaTyVar tyvar, ppr tyvar )
-		      readMutVar (metaTvRef tyvar)
+                      readMutVar (metaTvRef tyvar)
 
 isFilledMetaTyVar :: TyVar -> TcM Bool
 -- True of a filled-in (Indirect) meta type variable
 isFilledMetaTyVar tv
   | not (isTcTyVar tv) = return False
   | MetaTv { mtv_ref = ref } <- tcTyVarDetails tv
-  = do 	{ details <- readMutVar ref
-	; return (isIndirect details) }
+  = do  { details <- readMutVar ref
+        ; return (isIndirect details) }
   | otherwise = return False
 
 isFlexiMetaTyVar :: TyVar -> TcM Bool
@@ -363,8 +357,8 @@ isFlexiMetaTyVar :: TyVar -> TcM Bool
 isFlexiMetaTyVar tv
   | not (isTcTyVar tv) = return False
   | MetaTv { mtv_ref = ref } <- tcTyVarDetails tv
-  = do 	{ details <- readMutVar ref
-	; return (isFlexi details) }
+  = do  { details <- readMutVar ref
+        ; return (isFlexi details) }
   | otherwise = return False
 
 --------------------
@@ -426,9 +420,9 @@ writeMetaTyVarRef tyvar ref ty
 
 
 %************************************************************************
-%*									*
-	MetaTvs: TauTvs
-%*									*
+%*                                                                      *
+        MetaTvs: TauTvs
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -477,9 +471,9 @@ tcInstTyVarX subst tyvar
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
              Quantification
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Note [quantifyTyVars]
@@ -543,7 +537,7 @@ zonkQuantifiedTyVar :: TcTyVar -> TcM TcTyVar
 -- The quantified type variables often include meta type variables
 -- we want to freeze them into ordinary type variables, and
 -- default their kind (e.g. from OpenTypeKind to TypeKind)
--- 			-- see notes with Kind.defaultKind
+--                      -- see notes with Kind.defaultKind
 -- The meta tyvar is updated to point to the new skolem TyVar.  Now any 
 -- bound occurences of the original type variable will get zonked to 
 -- the immutable version.
@@ -557,8 +551,8 @@ zonkQuantifiedTyVar tv
     case tcTyVarDetails tv of
       SkolemTv {} -> do { kind <- zonkTcKind (tyVarKind tv)
                         ; return $ setTyVarKind tv kind }
-	-- It might be a skolem type variable, 
-	-- for example from a user type signature
+        -- It might be a skolem type variable, 
+        -- for example from a user type signature
 
       MetaTv { mtv_ref = ref } ->
           do when debugIsOn $ do
@@ -644,28 +638,28 @@ simplifier knows how to deal with.
 Note [Silly Type Synonyms]
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
 Consider this:
-	type C u a = u	-- Note 'a' unused
+        type C u a = u  -- Note 'a' unused
 
-	foo :: (forall a. C u a -> C u a) -> u
-	foo x = ...
+        foo :: (forall a. C u a -> C u a) -> u
+        foo x = ...
 
-	bar :: Num u => u
-	bar = foo (\t -> t + t)
+        bar :: Num u => u
+        bar = foo (\t -> t + t)
 
 * From the (\t -> t+t) we get type  {Num d} =>  d -> d
   where d is fresh.
 
 * Now unify with type of foo's arg, and we get:
-	{Num (C d a)} =>  C d a -> C d a
+        {Num (C d a)} =>  C d a -> C d a
   where a is fresh.
 
 * Now abstract over the 'a', but float out the Num (C d a) constraint
   because it does not 'really' mention a.  (see exactTyVarsOfType)
   The arg to foo becomes
-	\/\a -> \t -> t+t
+        \/\a -> \t -> t+t
 
 * So we get a dict binding for Num (C d a), which is zonked to give
-	a = ()
+        a = ()
   [Note Sept 04: now that we are zonking quantified type variables
   on construction, the 'a' will be frozen as a regular tyvar on
   quantification, so the floated dict will still have type (C d a).
@@ -677,9 +671,9 @@ All very silly.   I think its harmless to ignore the problem.  We'll end up with
 a \/\a in the final result but all the occurrences of a will be zonked to ()
 
 %************************************************************************
-%*									*
+%*                                                                      *
               Zonking
-%*									*
+%*                                                                      *
 %************************************************************************
 
 @tcGetGlobalTyVars@ returns a fully-zonked set of tyvars free in the environment.
@@ -901,11 +895,11 @@ zonkSkolemInfo skol_info = return skol_info
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Zonking -- the main work-horses: zonkTcType, zonkTcTyVar}
-%*									*
-%*		For internal use only!					*
-%*									*
+%*                                                                      *
+%*              For internal use only!                                  *
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -917,7 +911,7 @@ zonkId id
 
 -- For unbound, mutable tyvars, zonkType uses the function given to it
 -- For tyvars bound at a for-all, zonkType zonks them to an immutable
---	type variable and zonks the kind too
+--      type variable and zonks the kind too
 
 zonkTcType :: TcType -> TcM TcType
 zonkTcType ty
@@ -938,17 +932,17 @@ zonkTcType ty
     go (AppTy fun arg)   = do fun' <- go fun
                               arg' <- go arg
                               return (mkAppTy fun' arg')
-		-- NB the mkAppTy; we might have instantiated a
-		-- type variable to a type constructor, so we need
-		-- to pull the TyConApp to the top.
+                -- NB the mkAppTy; we might have instantiated a
+                -- type variable to a type constructor, so we need
+                -- to pull the TyConApp to the top.
                 -- OK to do this because only strict in the structure
                 -- not in the TyCon.
                 -- See Note [Zonking inside the knot] in TcHsType
 
-	-- The two interesting cases!
+        -- The two interesting cases!
     go (TyVarTy tyvar) | isTcTyVar tyvar = zonkTcTyVar tyvar
-		       | otherwise	 = TyVarTy <$> updateTyVarKindM go tyvar
-		-- Ordinary (non Tc) tyvars occur inside quantified types
+                       | otherwise       = TyVarTy <$> updateTyVarKindM go tyvar
+                -- Ordinary (non Tc) tyvars occur inside quantified types
 
     go (ForAllTy tv ty) = do { tv' <- zonkTcTyVarBndr tv
                              ; ty' <- go ty
@@ -974,8 +968,8 @@ zonkTcTyVar tv
       MetaTv { mtv_ref = ref }
          -> do { cts <- readMutVar ref
                ; case cts of
-	            Flexi       -> zonk_kind_and_return
-	            Indirect ty -> zonkTcType ty }
+                    Flexi       -> zonk_kind_and_return
+                    Indirect ty -> zonkTcType ty }
   where
     zonk_kind_and_return = do { z_tv <- zonkTyVarKind tv
                               ; return (TyVarTy z_tv) }
@@ -984,9 +978,9 @@ zonkTcTyVar tv
 
 
 %************************************************************************
-%*									*
-			Zonking kinds
-%*									*
+%*                                                                      *
+                        Zonking kinds
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
